%define dracutlibdir %{_prefix}/lib/dracut
%define dracutconfdir %{dracutlibdir}/dracut.conf.d
%define dracutmoduledir %{dracutlibdir}/modules.d/20kbd-backlight

Name:           kbd_backlight
Version:        0.1.1
Release:        1%{?dist}
Summary:        Shell script for controlling kbd_backlight

License:        MIT
URL:            https://gitlab.com/NoisyCoil/kbd_backlight

Source0:        kbd_backlight-%version.tar.gz
BuildArch:      noarch

%description
This package contains a shell script for controlling the keyboard backlight
through the kbd_backlight kernel interface, if available.

%package -n dracut-kbd-backlight
Summary:        Dracut module for controlling kbd_backlight

%description -n dracut-kbd-backlight
This package contains a dracut module for controlling the keyboard backlight
through the kbd_backlight kernel interface, if available.

%prep
%autosetup

%install
install -d -m 0755 %{buildroot}/%{_sbindir}
install -m 0755 src/kbd_backlight %{buildroot}/%{_sbindir}
install -d -m 0755 %{buildroot}/%{_mandir}/man8
install -m 0644 docs/kbd_backlight.8 %{buildroot}/%{_mandir}/man8

install -d -m 0755 %{buildroot}/%{dracutconfdir}
install -m 0644 dracut/20-kbd-backlight.conf %{buildroot}/%{dracutconfdir}
install -d -m 0755 %{buildroot}/%{dracutmoduledir}
install -m 0755 dracut/20kbd-backlight/kbd_backlight %{buildroot}/%{dracutmoduledir}
install -m 0755 dracut/20kbd-backlight/module-setup.sh %{buildroot}/%{dracutmoduledir}
install -m 0755 dracut/20kbd-backlight/parse-kbd_backlight.sh %{buildroot}/%{dracutmoduledir}

%files -n kbd_backlight
%{_sbindir}/kbd_backlight
%{_mandir}/man8/kbd_backlight.8*

%files -n dracut-kbd-backlight
%dir %{dracutconfdir}
%{dracutconfdir}/20-kbd-backlight.conf
%dir %{dracutmoduledir}
%{dracutmoduledir}/kbd_backlight
%{dracutmoduledir}/module-setup.sh
%{dracutmoduledir}/parse-kbd_backlight.sh

%changelog
* Fri Dec 22 2023 NoisyCoil <noisycoil@tutanota.com> 0.1.1-1
- Fix Markdown format
- Add more docs

* Tue Dec 19 2023 NoisyCoil <noisycoil@tutanota.com> - 0.1.0-1
- Initial release.
